LMDE VLC package Broken after Upgrade.

So, I built LMDE from the ISO I downloaded from the website. Then I upgraded to the latest service pack. Unfortunately when I did that Upgrade Manager left a couple of repositories pointing to the Debian mirror rather than the Mint mirrors.

Turns out that Mint now provides some of the components required for VLC in it’s own repositories. The debian repositories don’t have them. Here’s what Upgrade-Manager put (or left) in /etc/sources.list

deb http://security.debian.org/ testing/updates main contrib non-free
deb http://www.debian-multimedia.org testing main non-free

Here’s what should have been there:

deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://debian.linuxmint.com/latest/multimedia testing main non-free

As soon as I got the repositories right, VLC installed without any issues.

Advertisements

Posted on April 21, 2012, in Mint. Bookmark the permalink. Leave a comment.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: